Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class EventNotificationAdapter

    java.lang.Object
      org.jini.rio.event.EventNotificationAdapter

All Implemented Interfaces:
  Remote, EventListener, RemoteEventListener

Direct Known Subclasses:
  SLAThresholdEventAdapter

    public abstract class EventNotificationAdapter

extends Object
implements RemoteEventListener

The EventNotificationAdapter defines the essentials for an event client to transform a remote event notification to a JMX notification.

Field Summary
`protected NotificationBroadcasterSupport` | `notificationBroadcasterSupport`
`protected ObjectName` | `objectName`

Constructor Summary
`EventNotificationAdapter(ObjectName objectName, NotificationBroadcasterSupport notificationBroadcasterSupport)` Creates an EventNotificationAdapter, initializing required properties

Method Summary
`abstract MBeanNotificationInfo` | `getNotificationInfo()` Get the MBeanNotificationInfo for the transformed event
`abstract void` | `notify(RemoteEvent theEvent)` Implements the contract of a `RemoteEventListener`, and provides the adapter that concrete classes must implement to transform the remote event to a JMX notification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectName

    protected final ObjectName objectName

### notificationBroadcasterSupport

    protected final NotificationBroadcasterSupport notificationBroadcasterSupport

Constructor Detail

### EventNotificationAdapter

    public EventNotificationAdapter(ObjectName objectName,
                                    NotificationBroadcasterSupport notificationBroadcasterSupport)

  Creates an EventNotificationAdapter, initializing required properties

  Parameters:
    `objectName` - The JMX `ObjectName`
    `notificationBroadcasterSupport` - The `NotificationBroadcasterSupport` for sending the notification
  Throws:
    `NullPointerException` - if any of the constructor arguments are `null`

Method Detail

### notify

    public abstract void notify(RemoteEvent theEvent)
                         throws UnknownEventException,
                                RemoteException

  Implements the contract of a `RemoteEventListener`, and provides the adapter that concrete classes must implement to transform the remote event to a JMX notification

  Specified by:
    `notify` in interface `RemoteEventListener`
  Parameters:
    `theEvent` - The remote evet notification
  Throws:
    `UnknownEventException` - If theEvent argument is an unknown or unexpected type
    `NullPointerException` - If theEvent argument is `null`
    `RemoteException`
  See Also:
    `RemoteEventListener.notify(net.jini.core.event.RemoteEvent)`

### getNotificationInfo

    public abstract MBeanNotificationInfo getNotificationInfo()

  Get the MBeanNotificationInfo for the transformed event

  Returns:
    The `MBeanNotificationInfo` for the JMX notification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.